
if not Watcher then return end

if select(2, UnitClass('player')) ~= "WARLOCK" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants
local _

-- generic spells
Watcher:addicon("Agony", 980)
Watcher:addicon("Banish", 710)
Watcher:addicon("Carrion Swarm", 103967)
Watcher:addicon("Chaos Bolt", 116858)
Watcher:addicon("Command Demon", 119898)
Watcher:addicon("Conflagrate", 17962)
Watcher:addicon("Corruption", 172)
Watcher:addicon("Curse of the Elements", 79956)
Watcher:addicon("Dark Soul: Instability", 113858)
Watcher:addicon("Dark Soul: Knowledge", 113861)
Watcher:addicon("Dark Soul: Misery", 113860)
Watcher:addicon("Drain Life", 689)
Watcher:addicon("Drain Soul", 1120)
Watcher:addicon("Ember Tap", 114635)
Watcher:addicon("Fire and Brimstone", 108683)
Watcher:addicon("Grimoire: Felguard", 111898)
Watcher:addicon("Hand of Gul'dan", 105174)
Watcher:addicon("Haunt", 48181)
Watcher:addicon("Havoc", 80240)
Watcher:addicon("Imp Swarm", 104316)
Watcher:addicon("Immolate", 118297)
Watcher:addicon("Incinerate", 29722)
Watcher:addicon("Life Tap", 1454)
Watcher:addicon("Malefic Grasp", 103103)
Watcher:addicon("Metamorphosis", 103958)
Watcher:addicon("Metamorphosis: Doom", 603)
Watcher:addicon("Metamorphosis: Touch of Chaos", 112089)
Watcher:addicon("Shadow Bolt", 686)
Watcher:addicon("Shadowburn", 17877)
Watcher:addicon("Soul Fire", 6353)
Watcher:addicon("Soul Swap", 86121)
Watcher:addicon("Soulburn", 74434)
Watcher:addicon("Summon Abyssal", 112921)
Watcher:addicon("Summon Doomguard", 18540)
Watcher:addicon("Summon Infernal", 1122)
Watcher:addicon("Summon Terrorguard", 112927)
Watcher:addicon("Unstable Affliction", 131736)

-- talented spells and procs
Watcher:addicon("Molten Core", 122351)
Watcher:addicon("Shadow Trance", 17941)

function Watcher:addClassSpells()
Watcher:Debuff("Agony")
Watcher:Debuff("Corruption")
Watcher:Debuff("Curse of the Elements")
Watcher:Debuff("Haunt")
Watcher:Debuff("Immolate")
Watcher:Debuff("Metamorphosis: Doom")
Watcher:Debuff("Unstable Affliction")
Watcher:Direct("Chaos Bolt")
Watcher:Direct("Conflagrate")
Watcher:Direct("Dark Soul: Instability")
Watcher:Direct("Dark Soul: Knowledge")
Watcher:Direct("Dark Soul: Misery")
Watcher:Direct("Grimoire: Felguard")
Watcher:Direct("Hand of Gul'dan")
Watcher:Direct("Haunt")
Watcher:Direct("Imp Swarm")
Watcher:Direct("Incinerate")
Watcher:Direct("Life Tap")
Watcher:Direct("Malefic Grasp")
Watcher:Direct("Metamorphosis")
Watcher:Direct("Shadow Bolt")
Watcher:Proc("Shadow Trance", "Haunt")
Watcher:Proc("Molten Core", "Soul Fire")
Watcher:HealthThreshold(20, false, "Drain Soul")
Watcher:HealthThreshold(20, false, "Shadowburn")
Watcher:HealthThreshold(20, false, "Summon Doomguard")
Watcher:HealthThreshold(20, false, "Summon Terrorguard")
end