if not Watcher then return end

if select(2, UnitClass('player')) ~= "WARRIOR" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants
local _

-- generic spells
Watcher:addicon("Battle Shout", 6673)
Watcher:addicon("Berserker Rage", 18499)
Watcher:addicon("Bloodthirst", 23881)
Watcher:addicon("Colossus Smash", 86346)
Watcher:addicon("Commanding Shout", 469)
Watcher:addicon("Deadly Calm", 85730)
Watcher:addicon("Demoralizing Banner", 114203)
Watcher:addicon("Demoralizing Shout", 1160)
Watcher:addicon("Devastate", 20243)
Watcher:addicon("Die by the Sword", 118038)
Watcher:addicon("Execute", 5308)
Watcher:addicon("Heroic Strike", 78)
Watcher:addicon("Mocking Banner", 114192)
Watcher:addicon("Mortal Strike", 12294)
Watcher:addicon("Overpower", 7384)
Watcher:addicon("Pummel", 12817)
Watcher:addicon("Raging Blow", 96103)
Watcher:addicon("Recklessness", 1719)
Watcher:addicon("Revenge", 6572)
Watcher:addicon("Shield Barrier", 112048)
Watcher:addicon("Shield Block", 2565)
Watcher:addicon("Shield Slam", 23922)
Watcher:addicon("Shield Wall", 871)
Watcher:addicon("Skull Banner", 114207)
Watcher:addicon("Slam", 1464)
Watcher:addicon("Sunder Armor", 7386)
Watcher:addicon("Sweeping Strikes", 12328)
Watcher:addicon("Thunder Clap", 6343)
Watcher:addicon("Victory Rush", 34428)
Watcher:addicon("Whirlwind", 1680)
Watcher:addicon("Wild Strike", 100130)

-- talented spells and procs
Watcher:addicon("Avatar", 107574)
Watcher:addicon("Bladestorm", 46924)
Watcher:addicon("Bloodbath", 113344)
Watcher:addicon("Dragon Roar", 118000)
Watcher:addicon("Enraged Regeneration", 55694)
Watcher:addicon("Impending Victory", 103840)
Watcher:addicon("Raging Blow!", 131116)
Watcher:addicon("Shockwave", 46968)
Watcher:addicon("Storm Bolt", 107570)
Watcher:addicon("Taste for Blood", 56638)
Watcher:addicon("Ultimatum", 122509)
Watcher:addicon("Weakened Blows", 115798)

-- glyphs

function Watcher:addClassSpells()
Watcher:Apply("Weakened Blows", "Thunder Clap", 0, 0, true, true)
Watcher:Buff("Battle Shout", "Battle Shout", true)
Watcher:Buff("Commanding Shout", "Commanding Shout", true)
Watcher:Debuff("Colossus Smash")
Watcher:Debuff("Demoralizing Shout")
Watcher:Direct("Berserker Rage")
Watcher:Direct("Bloodbath")
Watcher:Direct("Bloodthirst")
Watcher:Direct("Deadly Calm")
Watcher:Direct("Devastate")
Watcher:Direct("Mortal Strike")
Watcher:Direct("Overpower")
Watcher:Direct("Recklessness")
Watcher:Direct("Revenge")
Watcher:Direct("Shield Block")
Watcher:Direct("Shield Slam")
Watcher:Direct("Skull Banner")
Watcher:Direct("Slam")
Watcher:Direct("Wild Strike")
Watcher:HealthThreshold(25, false, "Execute")
Watcher:Proc("Raging Blow!", "Raging Blow")
Watcher:Proc("Taste for Blood", "Heroic Strike")
Watcher:Proc("Ultimatum", "Heroic Strike")

end